1 (edited by ca_maer 2018-04-13 04:27:10)

Topic: Amavis Error when upgrading to 0.9.8

==== Required information ====
- iRedMail version (check /etc/iredmail-release): 0.9.8
- Linux/BSD distribution name and version: Ubuntu 16.04
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):  PGSQL
- Web server (Apache or Nginx): Apache
- Manage mail accounts with iRedAdmin-Pro? Yes
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

I've succesfully upgraded everything to 0.9.8 except the last part for amavist maddr.email_raw

Here's the error I got when running: \i /tmp/amavisd.pgsql

psql:/tmp/amavisd.pgsql:2: ERROR:  relation "msgs" does not exist
psql:/tmp/amavisd.pgsql:3: ERROR:  relation "msgs" does not exist
psql:/tmp/amavisd.pgsql:4: ERROR:  relation "msgs" does not exist
psql:/tmp/amavisd.pgsql:6: ERROR:  relation "msgs" does not exist
psql:/tmp/amavisd.pgsql:7: ERROR:  relation "msgs" does not exist
psql:/tmp/amavisd.pgsql:8: ERROR:  relation "msgs" does not exist
psql:/tmp/amavisd.pgsql:11: ERROR:  relation "maddr" does not exist
psql:/tmp/amavisd.pgsql:14: ERROR:  relation "maddr" does not exist
psql:/tmp/amavisd.pgsql:15: ERROR:  relation "maddr" does not exist
psql:/tmp/amavisd.pgsql:16: ERROR:  relation "maddr" does not exist
CREATE FUNCTION
psql:/tmp/amavisd.pgsql:36: ERROR:  relation "maddr" does not exist

Any idea  what might cause this ?

Thanks

EDIT: I think there is an error in the doc. It says:

psql -U amavisd -d vmail

Shouldn't that be this instead ?:

psql -U amavisd -d amavisd

EDIT2: Running it on the right DB generated no error. The Top Sender and Top Receiver is still not working (see attached image).

Post's attachments

Screen Shot 2018-04-12 at 4.25.03 PM.png 51.89 kb, file has never been downloaded. 

You don't have the permssions to download the attachments of this post.

2

Re: Amavis Error when upgrading to 0.9.8

Oops, my mistake. Updated the doc.
Thanks for the feedback.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

3

Re: Amavis Error when upgrading to 0.9.8

No problem. Any idea why my Top Sender and Top Recipients is empty ?

4

Re: Amavis Error when upgrading to 0.9.8

ca_maer wrote:

No problem. Any idea why my Top Sender and Top Recipients is empty ?

Try this:

- Login to iRedAdmin-Pro as global admin, release or remove quarantined emails.
- Run SQL commands to clean up old records:

\c amavisd;
DELETE FROM msgs;
DELETE FROM msgrcpt;
DELETE FROM maddr;

Then wait for new inbound/outbound emails, you should see the top senders/recipients again.

It's caused by our new SQL column, but it will be fine after few days when old sql records were cleaned up.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

5

Re: Amavis Error when upgrading to 0.9.8

ZhangHuangbin wrote:
ca_maer wrote:

No problem. Any idea why my Top Sender and Top Recipients is empty ?

Try this:

- Login to iRedAdmin-Pro as global admin, release or remove quarantined emails.
- Run SQL commands to clean up old records:

\c amavisd;
DELETE FROM msgs;
DELETE FROM msgrcpt;
DELETE FROM maddr;

Then wait for new inbound/outbound emails, you should see the top senders/recipients again.

It's caused by our new SQL column, but it will be fine after few days when old sql records were cleaned up.

Thanks Zhang. That fixed the issue !